<?php

namespace App\Controllers\Admin\Customer;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Helpers\Customer\PointHelper;
use App\Services\Customer\PointService;

class PointController extends CustomerController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): PointService
    {
        if (!$this->_service) {
            $this->_service = new PointService();
        }
        return $this->_service;
    }
    public function getHelper(): PointHelper
    {
        if (!$this->_helper) {
            $this->_helper = new PointHelper();
        }
        return $this->_helper;
    }
    //Index,FieldForm관련.
}
